Update a Vscan scanner-pool configuration for an SVM
Updates the Vscan scanner-pool configuration for an SVM, tailoring the settings to meet specific security and operational needs. This action is useful when modifying server, role, or privileged user configurations within your network environment.
HTTP method and endpoint
PATCH /protocols/vscan/{svm.uuid}/scanner-pools/{name}
Introduced in
ONTAP 9.6
Usage notes
Updates the Vscan scanner-pool configuration of an SVM.
Important notes:
-
Along with servers and privileged-users, the role of a scanner-pool can also be updated with the cluster on which a scanner-pool is allowed.
-
If role is specified and cluster isn't, then role is applied to the local cluster.
Related ONTAP commands
-
vserver vscan scanner-pool modify -
vserver vscan scanner-pool apply-policy -
vserver vscan scanner-pool privileged-users add -
vserver vscan scanner-pool privileged-users remove -
vserver vscan scanner-pool servers remove -
vserver vscan scanner-pool servers add
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
name |
string |
path |
True |
|
svm.uuid |
string |
path |
True |
UUID of the SVM to which this object belongs. |
Request Body
| Name | Type | Description |
|---|---|---|
cluster |
||
privileged_users |
array[string] |
Specifies a list of privileged users. A valid form of privileged user-name is "domain-name\user-name". Privileged user-names are stored and treated as case-insensitive strings. Virus scanners must use one of the registered privileged users for connecting to clustered Data ONTAP for exchanging virus-scanning protocol messages and to access file for scanning, remedying and quarantining operations.
|
role |
string |
Specifies the role of the scanner pool. The possible values are:
|
servers |
array[string] |
Specifies a list of IP addresses or FQDN for each Vscan server host names which are allowed to connect to clustered ONTAP.
|
svm |
Example request
{
"cluster": {
"name": "cluster1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"privileged_users": [
"cifs\\u1",
"cifs\\u2"
],
"role": "string",
"servers": [
"1.1.1.1",
"10.72.204.27",
"vmwin204-27.fsct.nb"
],
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
10027258 |
The specified cluster_name does not exist |
10027256 |
The specified cluster_uuid does not exist |
10027257 |
The specified cluster_name and cluster_uuid are valid but belong to different clusters |
10027248 |
Scanner-pool updated successfully but failed to apply the specified role |
10027107 |
The list of privileged users or list of servers specified is empty |
10027108 |
The list of privileged users specified contains an invalid entry |
10027063 |
Attempting to modify a scanner-pool on an SVM owned by the cluster with a data SVM |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
cluster_reference
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
uuid |
string |
svm
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. |
uuid |
string |
The unique identifier of the SVM. |
vscan_scanner_pool
Scanner pool is a set of attributes which are used to validate and manage connections between clustered ONTAP and external virus-scanning server, or "Vscan server".
| Name | Type | Description |
|---|---|---|
cluster |
||
privileged_users |
array[string] |
Specifies a list of privileged users. A valid form of privileged user-name is "domain-name\user-name". Privileged user-names are stored and treated as case-insensitive strings. Virus scanners must use one of the registered privileged users for connecting to clustered Data ONTAP for exchanging virus-scanning protocol messages and to access file for scanning, remedying and quarantining operations.
|
role |
string |
Specifies the role of the scanner pool. The possible values are:
|
servers |
array[string] |
Specifies a list of IP addresses or FQDN for each Vscan server host names which are allowed to connect to clustered ONTAP.
|
svm |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |